MyGUI: MyGUI::DynLibManager Class Reference

MyGUI 3.4.2

- Main Page
- Related Pages
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Public Member Functions | Static Public Member Functions
MyGUI::DynLibManager Class Reference

Manager of dynamic libraries. More...

`#include <MyGUI_DynLibManager.h>`

## Public Member Functions
| DynLibManager ()
void | initialise ()
void | shutdown ()
DynLib * | load (const std::string &fileName)
| Load library.
void | unload (DynLib *library)
| Unload library.
void | unloadAll ()
void | _unloadDelayDynLibs ()

## Static Public Member Functions
static DynLibManager & | getInstance ()
static DynLibManager * | getInstancePtr ()
static const char * | getClassTypeName ()

## Detailed Description

Manager of dynamic libraries.

Definition at line 20 of file MyGUI_DynLibManager.h.

## Constructor & Destructor Documentation

## ◆ DynLibManager()

MyGUI::DynLibManager::DynLibManager | ( |  | ) |

Definition at line 17 of file MyGUI_DynLibManager.cpp.

## Member Function Documentation

## ◆ _unloadDelayDynLibs()

void MyGUI::DynLibManager::_unloadDelayDynLibs | ( |  | ) |

Definition at line 94 of file MyGUI_DynLibManager.cpp.

## ◆ getClassTypeName()

static const char * MyGUI::DynLibManager::getClassTypeName | ( |  | ) |
| static

## ◆ getInstance()

static DynLibManager & MyGUI::DynLibManager::getInstance | ( |  | ) |
| static

## ◆ getInstancePtr()

static DynLibManager * MyGUI::DynLibManager::getInstancePtr | ( |  | ) |
| static

## ◆ initialise()

void MyGUI::DynLibManager::initialise | ( |  | ) |

Definition at line 23 of file MyGUI_DynLibManager.cpp.

## ◆ load()

DynLib * MyGUI::DynLibManager::load | ( | const std::string & | fileName | ) |

Load library.

Definition at line 48 of file MyGUI_DynLibManager.cpp.

## ◆ shutdown()

void MyGUI::DynLibManager::shutdown | ( |  | ) |

Definition at line 34 of file MyGUI_DynLibManager.cpp.

## ◆ unload()

void MyGUI::DynLibManager::unload | ( | DynLib * | library | ) |

Unload library.

Definition at line 68 of file MyGUI_DynLibManager.cpp.

## ◆ unloadAll()

void MyGUI::DynLibManager::unloadAll | ( |  | ) |

Definition at line 78 of file MyGUI_DynLibManager.cpp.

The documentation for this class was generated from the following files:

- MyGUI_DynLibManager.h
- MyGUI_DynLibManager.cpp